commit:     fee93309cd45ab053182c9d5b59d0379d1eb95b7
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 23 16:22:18 2015 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Wed Dec 23 20:55:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fee93309

mozilla packages: migrate arm neon/softfp/hardfp config fixes to the eclass

The firefox ebuild received fixes for various arm configurations (neon, 
hardfp/softfp)
but these fixes should also be applied to the other mozilla packages.  This 
commit
removes them from firefox and adds them to mozconfig.

 eclass/mozconfig-v6.38.eclass            | 18 +++++++++++++++++-
 eclass/mozconfig-v6.42.eclass            | 18 +++++++++++++++++-
 www-client/firefox/firefox-38.4.0.ebuild | 18 +-----------------
 www-client/firefox/firefox-38.5.0.ebuild | 18 +-----------------
 www-client/firefox/firefox-43.0.ebuild   | 18 +-----------------
 5 files changed, 37 insertions(+), 53 deletions(-)

diff --git a/eclass/mozconfig-v6.38.eclass b/eclass/mozconfig-v6.38.eclass
index dc32140..ecd4578 100644
--- a/eclass/mozconfig-v6.38.eclass
+++ b/eclass/mozconfig-v6.38.eclass
@@ -45,7 +45,7 @@ esac
 # Set the variable to any value if the use flag should exist but not be 
default-enabled.
 
 # use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux 
startup-notification system-cairo system-icu system-jpeg system-sqlite 
system-libvpx"
+IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 neon pulseaudio 
selinux startup-notification system-cairo system-icu system-jpeg system-sqlite 
system-libvpx"
 
 # some notes on deps:
 # gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 
2.14
@@ -237,4 +237,20 @@ mozconfig_config() {
        mozconfig_use_with system-icu
        mozconfig_use_enable system-icu intl-api
        mozconfig_use_with system-libvpx
+
+       # Modifications to better support ARM, bug 553364
+       if use neon ; then
+               mozconfig_annotate '' --with-fpu=neon
+               mozconfig_annotate '' --with-thumb=yes
+               mozconfig_annotate '' --with-thumb-interwork=no
+       fi
+       if [[ ${CHOST} == armv* ]] ; then
+               mozconfig_annotate '' --with-float-abi=hard
+               mozconfig_annotate '' --enable-skia
+
+               if ! use system-libvpx ; then
+                       sed -i -e "s|softfp|hard|" \
+                               "${S}"/media/libvpx/moz.build
+               fi
+       fi
 }

diff --git a/eclass/mozconfig-v6.42.eclass b/eclass/mozconfig-v6.42.eclass
index 7ed7283..1feea38 100644
--- a/eclass/mozconfig-v6.42.eclass
+++ b/eclass/mozconfig-v6.42.eclass
@@ -55,7 +55,7 @@ esac
 # Set the variable to any value if the use flag should exist but not be 
default-enabled.
 
 # use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug +gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux 
startup-notification system-cairo system-icu system-jpeg system-sqlite 
system-libvpx"
+IUSE="${IUSE} dbus debug +gstreamer gstreamer-0 +jemalloc3 neon pulseaudio 
selinux startup-notification system-cairo system-icu system-jpeg system-sqlite 
system-libvpx"
 
 # some notes on deps:
 # gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 
2.14
@@ -263,4 +263,20 @@ mozconfig_config() {
        mozconfig_use_with system-icu
        mozconfig_use_enable system-icu intl-api
        mozconfig_use_with system-libvpx
+
+       # Modifications to better support ARM, bug 553364
+       if use neon ; then
+               mozconfig_annotate '' --with-fpu=neon
+               mozconfig_annotate '' --with-thumb=yes
+               mozconfig_annotate '' --with-thumb-interwork=no
+       fi
+       if [[ ${CHOST} == armv* ]] ; then
+               mozconfig_annotate '' --with-float-abi=hard
+               mozconfig_annotate '' --enable-skia
+
+               if ! use system-libvpx ; then
+                       sed -i -e "s|softfp|hard|" \
+                               "${S}"/media/libvpx/moz.build
+               fi
+       fi
 }

diff --git a/www-client/firefox/firefox-38.4.0.ebuild 
b/www-client/firefox/firefox-38.4.0.ebuild
index 39fef48..bfe2595 100644
--- a/www-client/firefox/firefox-38.4.0.ebuild
+++ b/www-client/firefox/firefox-38.4.0.ebuild
@@ -42,7 +42,7 @@ KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ppc ppc64 x86 
~amd64-linux ~x86-linux"
 
 SLOT="0"
 LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
-IUSE="bindist egl hardened +minimal neon pgo selinux +gmp-autoupdate test"
+IUSE="bindist egl hardened +minimal pgo selinux +gmp-autoupdate test"
 RESTRICT="!bindist? ( bindist )"
 
 # More URIs appended below...
@@ -206,22 +206,6 @@ src_configure() {
        # Add full relro support for hardened
        use hardened && append-ldflags "-Wl,-z,relro,-z,now"
 
-       if use neon ; then
-               mozconfig_annotate '' --with-fpu=neon
-               mozconfig_annotate '' --with-thumb=yes
-               mozconfig_annotate '' --with-thumb-interwork=no
-       fi
-
-       if [[ ${CHOST} == armv* ]] ; then
-               mozconfig_annotate '' --with-float-abi=hard
-               mozconfig_annotate '' --enable-skia
-
-               if ! use system-libvpx ; then
-                       sed -i -e "s|softfp|hard|" \
-                               "${S}"/media/libvpx/moz.build
-               fi
-       fi
-
        use egl && mozconfig_annotate 'Enable EGL as GL provider' 
--with-gl-provider=EGL
 
        # Setup api key for location services

diff --git a/www-client/firefox/firefox-38.5.0.ebuild 
b/www-client/firefox/firefox-38.5.0.ebuild
index 038a181..48ff07d 100644
--- a/www-client/firefox/firefox-38.5.0.ebuild
+++ b/www-client/firefox/firefox-38.5.0.ebuild
@@ -42,7 +42,7 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 
~amd64-linux ~x86-linu
 
 SLOT="0"
 LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
-IUSE="bindist egl hardened +minimal neon pgo selinux +gmp-autoupdate test"
+IUSE="bindist egl hardened +minimal pgo selinux +gmp-autoupdate test"
 RESTRICT="!bindist? ( bindist )"
 
 # More URIs appended below...
@@ -207,22 +207,6 @@ src_configure() {
        # Add full relro support for hardened
        use hardened && append-ldflags "-Wl,-z,relro,-z,now"
 
-       if use neon ; then
-               mozconfig_annotate '' --with-fpu=neon
-               mozconfig_annotate '' --with-thumb=yes
-               mozconfig_annotate '' --with-thumb-interwork=no
-       fi
-
-       if [[ ${CHOST} == armv* ]] ; then
-               mozconfig_annotate '' --with-float-abi=hard
-               mozconfig_annotate '' --enable-skia
-
-               if ! use system-libvpx ; then
-                       sed -i -e "s|softfp|hard|" \
-                               "${S}"/media/libvpx/moz.build
-               fi
-       fi
-
        use egl && mozconfig_annotate 'Enable EGL as GL provider' 
--with-gl-provider=EGL
 
        # Setup api key for location services

diff --git a/www-client/firefox/firefox-43.0.ebuild 
b/www-client/firefox/firefox-43.0.ebuild
index 2c932c1..d0229f5 100644
--- a/www-client/firefox/firefox-43.0.ebuild
+++ b/www-client/firefox/firefox-43.0.ebuild
@@ -43,7 +43,7 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 
~amd64-linux ~x86-linu
 
 SLOT="0"
 LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
-IUSE="bindist egl hardened +hwaccel +minimal neon pgo selinux +gmp-autoupdate 
test"
+IUSE="bindist egl hardened +hwaccel +minimal pgo selinux +gmp-autoupdate test"
 RESTRICT="!bindist? ( bindist )"
 
 # More URIs appended below...
@@ -220,22 +220,6 @@ src_configure() {
        # Add full relro support for hardened
        use hardened && append-ldflags "-Wl,-z,relro,-z,now"
 
-       if use neon ; then
-               mozconfig_annotate '' --with-fpu=neon
-               mozconfig_annotate '' --with-thumb=yes
-               mozconfig_annotate '' --with-thumb-interwork=no
-       fi
-
-       if [[ ${CHOST} == armv* ]] ; then
-               mozconfig_annotate '' --with-float-abi=hard
-               mozconfig_annotate '' --enable-skia
-
-               if ! use system-libvpx ; then
-                       sed -i -e "s|softfp|hard|" \
-                               "${S}"/media/libvpx/moz.build
-               fi
-       fi
-
        use egl && mozconfig_annotate 'Enable EGL as GL provider' 
--with-gl-provider=EGL
 
        # Setup api key for location services

Reply via email to